music123(1)

NAZWA
music123 - odtwarza ró¿ne pliki d¼wiêkowe (w tym MP3, Ogg i Wav).

SK£ADNIA
music123

OPIS
music123 jest pow³ok± wokó³ ró¿nych programów s³u¿±cych do odtwarzania plików muzycznych. Mo¿e zag³êbiaæ siê w strukturê katalogów przy pomocy -r oraz losowo odtwarzaæ utwory przy pomozy -z. U¿ywane programy i opcje im przekazywane s± zawarte w plikach /etc/music123rc lub ~/.music123rc.

OPCJE

-D  Nie rób przerw miêdzy piosenkami (mo¿e uczyniæ music123 trudniejszym do zabicia)

-d  Ustawia d³ugo¶æ przerw miêdzy piosenkami. -d przyjmuje jeden argument, wyra¿ony w sekundach. Czas mo¿e zawieraæ czê¶æ u³amkow±.

-i  Ignore extension case.

-h  Poka¿ pomoc do polecenia i zakoñcz dzia³anie.

-l  Pêtla. -z -l ró¿ni siê od -Z tym, ¿e -z -l najpierw wylosuje kolejno¶æ, a nastêpnie bêdzie odtwarza³ pliki w tej¿e kolejno¶ci raz po raz; -Z za¶ odtwarza piosenki w losowej kolejno¶ci pozbawionej jakiegokolwiek porz±dku, w zwiazku z czym istnieje mo¿liwo¶æ odtworzenia tego samego pliku dwa (lub wiêcej) razy pod rz±d.

-L  List files and exit.

-q  Tryb cichy. ¯adne komunikaty nie s± wy¶wietlane.

-r  Rekurencyjnie zag³êbiaj siê w katalogi, zamiast je ignorowaæ.

-T  Redirect standard input, allowing q or Q keys to stop after current file. The player will not see its standard output anymore.

-v  Poka¿ informacjê o wersji programu i zakoñcz dzia³anie.

-z  Odtwarzaj pliki w losowej kolejno¶ci.

-Z  Odtwarzaj pliki w losowej kolejno¶ci i bez koñca.

--  Koniec listy opcji.

-@  Odtwarzaj pliki wymienione w obowi±zkowym argumencie do -@. Inne pliki mog± byæ dodane z linii poleceñ. Ta opcja mo¿e byæ podana kilkakrotnie. Zauwa¿, ¿e music123 jeszcze nie odtwarza URLi.

PRZYK£ADY

Odtwórz trzy piosenki:
    music123 test1.ogg test2.mp3 test3.wav

Odtwórz losowo parê katalogów i piosenek:
    music123 -z -r Rock/ test1.ogg Pop/ test4.wav

PLIKI

/etc/music123rc
    Opisuje których programów music123 ma u¿yæ, jakie typy plików obs³uguje i jakie opcje przekazuje tym¿e programom.

~/.music123rc
    Indywidualne ustawienia danego u¿ytkownika.

AUTORZY

Autorzy:
    David Starner <dvdeug@debian.org>

T£UMACZENIE

T³umacze:
    Grzegorz Ku¶nierz <konik@v-lo.krakow.pl>